Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.inject.util
Class FinalizableReferenceQueue

    java.lang.Object
      java.lang.ref.ReferenceQueue<Object>
          com.opensymphony.xwork2.inject.util.FinalizableReferenceQueue

     class FinalizableReferenceQueue

extends ReferenceQueue<Object>

Starts a background thread that cleans up after reclaimed referents.

Author:
  Bob Lee (crazybob@google.com)

Field Summary
`(package private) static ReferenceQueue<Object>` | `instance`
`private static Logger` | `logger`

Constructor Summary
`private` | `FinalizableReferenceQueue()`

Method Summary
`(package private) void` | `cleanUp(Reference reference)`
`(package private) static FinalizableReferenceQueue` | `createAndStart()`
`(package private) void` | `deliverBadNews(Throwable t)`
`static ReferenceQueue<Object>` | `getInstance()` Gets instance.
`(package private) void` | `start()`

Methods inherited from class java.lang.ref.ReferenceQueue
`poll, remove, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    private static final Logger logger

### instance

    static ReferenceQueue<Object> instance

Constructor Detail

### FinalizableReferenceQueue

    private FinalizableReferenceQueue()

Method Detail

### cleanUp

    void cleanUp(Reference reference)

### deliverBadNews

    void deliverBadNews(Throwable t)

### start

    void start()

### createAndStart

    static FinalizableReferenceQueue createAndStart()

### getInstance

    public static ReferenceQueue<Object> getInstance()

  Gets instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.